Bug 463790 - Review Request: compat-db43 - The Berkeley DB database compatibility library
Review Request: compat-db43 - The Berkeley DB database compatibility library
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 464098
Blocks: 459710
  Show dependency treegraph
 
Reported: 2008-09-24 14:31 EDT by Jindrich Novy
Modified: 2013-07-02 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 08:00:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jindrich Novy 2008-09-24 14:31:12 EDT
Spec URL: http://people.redhat.com/jnovy/files/compat-db/compat-db43.spec
SRPM URL: http://people.redhat.com/jnovy/files/compat-db/compat-db43-4.3.29-0.1.fc10.src.rpm
Description:
The Berkeley Database (Berkeley DB) is a programmatic toolkit that provides
embedded database support for both traditional and client/server applications.
This package contains Berkeley DB version library 4.3.29 for
applications which need it for backward compatibility.

This bug is related to #459710. The split of compat-db is planned to reduce size of total packages pulled in as dependencies to fit liveCD. Currently compat-db contains three versions of BDB which is wasteful.
Comment 1 Bill Nottingham 2008-09-24 14:45:00 EDT
Any chance we could remove some of them entirely? Are we sure we need them all?
Comment 2 Jindrich Novy 2008-09-24 14:58:08 EDT
[jnovy@dhcp-lab-186 ~]$ repoquery --whatrequires libdb-4.3.so
compat-db-0:4.6.21-3.fc10.i386
cyrus-sasl-lib-0:2.1.22-18.fc10.i386

cyrus-sasl-lib still needs it. I'm not sure whether cyrus-sasl still needs this particular BDB version. As soon as it is upgraded to anything more recent we can safely drop 4.3.29.
Comment 3 Jindrich Novy 2008-09-26 08:00:47 EDT
cyrus-sasl is now upgraded to use newer db4 so let's nuke BDB 4.3 :)

Note You need to log in before you can comment on or make changes to this bug.